label {
    z-index: 9999999 !important;
    margin-bottom: 0!important;
}
label .menu {
    position: absolute;
    right: 15px;
    top: -70px;
    width: 50px;
    height: 50px;
    background: #ffffff;
    border-radius: 50% 50% 50% 50%;
    transition: .5s ease-in-out;
    box-shadow: 0 0 0 0 #f4c944, 0 0 0 0 #FFF;
    cursor: pointer;
    z-index: 200;
}
label .hamburger {
    position: absolute;
    top: 25px;
    right: 10px;
    width: 27px;
    height: 1px;
    background: #000;
    display: block;
    -webkit-transform-origin: center;
    transform-origin: center;
    transition: .5s ease-in-out;
}
label .hamburger:after, label .hamburger:before {
    transition: .5s ease-in-out;
    content: "";
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    background: #000;
}
label .hamburger:before {
    top: -10px;
}
label .hamburger:after {
    bottom: -10px;
}
label input {
    display: none;
}
label input:checked + .menu {
    box-shadow: 0 0 0 100vw #f4c944, 0 0 0 100vh #f4c944;
    border-radius: 0;

}
label input:checked + .menu .hamburger {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
label input:checked + .menu .hamburger:after {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    bottom: 0;
}
label input:checked + .menu .hamburger:before {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
    top: 0;
}
label input:checked + .menu + ul {
    opacity: 1;
}
label ul {
    z-index: 200;
    position: absolute;
    top: 250px;
    left:45%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    opacity: 0;
    transition: .25s 0s ease-in-out;
    list-style: none;
}
label a {
    margin-bottom: 1em;
    display: block;
    color: #000;
    text-decoration: none;
    text-align: center;
}

label ul li {
    font-size: 16px;
    border-bottom: 1px solid rgba(0,0,0,.1);
    padding:15px 5px 2px 5px;
    letter-spacing: 1px;
}

label ul li:last-child {
    border-bottom: none;
}


